Skip to main content
PATCH
/
v1
/
allowlist
/
add
Add to a Wallet Allowlist
curl --request PATCH \
  --url https://api.hel.io/v1/allowlist/add \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "prId": "<string>",
  "prType": "<string>",
  "wallets": [
    {
      "publicKey": "<string>",
      "maxAllowedQuantity": 123
    }
  ]
}
'
{
  "wallets": [
    {
      "publicKey": "7VK5KfzBr6rSY3vTznyGeSYpHbJZ5EkJscZb2LLkrG7U",
      "maxAllowedQuantity": 3
    },
    {
      "publicKey": "7YancRyNQyp9s6G7YNwx9H93UqswoKWqF9GuNJPufyvW",
      "maxAllowedQuantity": 1
    }
  ],
  "prId": "68129254ba5dc7557c943217",
  "prType": "PAYLINK",
  "id": "681292547d54b32ebd24c9b0"
}
Note: When using the production environment at moonpay.hel.io, set your API endpoint to api.hel.io/v1 and generate API keys there. For the development environment, use api.dev.hel.io/v1 and generate API keys from moonpay.dev.hel.io.

Authorizations

Authorization
string
header
required

Authentication using JWT token

Query Parameters

apiKey
string
required

Your API key can be generated on the Helio Dashboard’s settings page.

Body

application/json
prId
string
required

The ID of the pay link for which the allowlist is being updated.

prType
string
required

The type of payment resource. This should be set to 'PAYLINK'.

wallets
object[]
required

An array of wallet objects to add to the allowlist.

Response

Allowlist updated successfully.

id
string
required
prId
string
required
prType
string
required
wallets
object[]
required